<?php

//////////////////////////////////////////////////////////////
//===========================================================
// billing_theme.php
//===========================================================
// SOFTACULOUS VIRTUALIZOR
// Version : 1.0
// Inspired by the DESIRE to be the BEST OF ALL
// ----------------------------------------------------------
// Started by: Alons
// Date:       8th Mar 2010
// Time:       23:00 hrs
// Site:       https://www.virtualizor.com/ (SOFTACULOUS VIRTUALIZOR)
// ----------------------------------------------------------
// Please Read the Terms of use at https://www.virtualizor.com
// ----------------------------------------------------------
//===========================================================
// (c)Softaculous Ltd.
//===========================================================
//////////////////////////////////////////////////////////////

if(!defined('VIRTUALIZOR')){

	die('Hacking Attempt');

}

function billing_theme(){

global $theme, $servers, $globals, $kernel, $cluster, $user, $l, $error, $done, $info, $user_plans, $gateways, $country_codes;

softheader($l['<title>']);

echo '
<div class="bg">
<div class="row my-3 mx-auto">
	<div class="col-12">
		<h4 class="text-dark"><i class="fas fa-file-invoice-dollar"></i> '.$l['heading'].'</h4>
	</div>
</div>
';

error_handle($error);

echo '
<form accept-charset="'.$globals['charset'].'" action="" method="post" name="config" class="form-horizontal">
<div class="row mx-auto w-100">
	<div class="col-sm-12 col-md-6 col-lg-6 border-right">
		<div class="divroundshad">
			<div class="roundheader">'.$l['bill_set'].'</div>
			';
				
			echo '
			<div class="bgaddv mb-3">
				<div class="row mx-auto w-100 my-3">
					<div class="col-sm-12">
						<div class="row w-100 m-0">
							<div class="col-6 p-0">
							<label class="control-label">'.$l['inhouse_billing'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['inhouse_billing_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
							</div>
							<div class="col-6">
								'.get_checkbox('inhouse_billing', '', '', array('chk_it' => 1, 'val' => $info['inhouse_billing'])).'
							</div>
						</div>
					</div>
				</div>
				<div class="row mx-auto w-100 my-3">

					<div class="col-sm-12">
						<label class="control-label">'.$l['cp_url'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['cp_url_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label><br><input type="text" class="form-control" name="cp_url" size="30" value="'.POSTval('cp_url', $info['cp_url']).'" />
					</div>
				</div>

				<div class="row mx-auto w-100 my-3">

					<div class="col-sm-12">		
						<label class="control-label">'.$l['billing_day'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['billing_day_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label><br>
						<select class="custom-select" name="billing_day">
							<option value="" '.ex_POSTselect('billing_day', '', '').'>'.$l['bill_last_day'].'</option>';
					
					for($i = 1; $i <= 31; $i++){

						echo '<option value="'.$i.'" '.(empty($_POST['billing_day']) && $info['billing_day'] == $i ? 'selected="selected"' : (@trim($_POST['billing_day']) == $i ? 'selected="selected"' : '') ).'>'.$i.'</option>';
						
					}
					
					echo '</select>
					</div>
				</div>

				<div class="row mx-auto w-100 my-3">
					<div class="col-sm-6">
						<label class="control-label">'.$l['billing_currency'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['billing_currency_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label><br><input type="text" class="form-control" name="billing_currency" size="30" value="'.POSTval('billing_currency', @$info['billing_currency']).'" />
					</div>
					<div class="col-sm-6">
						<label class="control-label">'.$l['billing_symbol'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['billing_symbol_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label><br><input type="text" class="form-control" name="billing_symbol" size="30" value="'.POSTval('billing_symbol', $info['billing_symbol']).'" />
					</div>
				</div>

				<div class="row mx-auto w-100 my-3">
					<div class="col-sm-6">
						<label class="control-label">'.$l['billing_warn_bal'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['billing_warn_bal_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label><br><input type="number" class="form-control" name="billing_warn_bal" size="30" value="'.POSTval('billing_warn_bal', @$info['billing_warn_bal']).'" />
					</div>
					<div class="col-sm-6">
						<label class="control-label">'.$l['billing_min'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['billing_min_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label><br><input type="number" class="form-control" name="billing_min" size="30" value="'.POSTval('billing_min', $info['billing_min']).'" />
					</div>
				</div>

				<div class="row mx-auto w-100 my-3">
					<div class="col-sm-6">
						<label class="control-label">'.$l['billing_max'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['billing_max_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label><br><input type="number" class="form-control" name="billing_max" size="30" value="'.POSTval('billing_max', $info['billing_max']).'" />
					</div>
					<div class="col-sm-6">
						<label class="control-label">'.$l['billing_min_charge'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['billing_min_charge_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label><br><input type="text" class="form-control" name="billing_min_charge" size="30" value="'.POSTval('billing_min_charge', $info['billing_min_charge']).'" />
					</div>
				</div>
				<div class="row mx-auto w-100 my-3">
					<div class="col-sm-12">
						<label class="control-label">'.$l['bcc_invoice_email'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['bcc_invoice_email_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label><br>
						<input type="text" class="form-control" name="bcc_invoice_email" size="30" value="'.POSTval('bcc_invoice_email', $info['bcc_invoice_email']).'" />
					</div>
				</div>
				<div class="row mx-auto w-100 my-3">
					<div class="col-sm-12">
						<label class="control-label">'.$l['invoice_image'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['invoice_image_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label><br>
						<input type="text" class="form-control" name="invoice_logo" size="30" value="'.POSTval('invoice_logo', $info['invoice_logo']).'" />
					</div>
				</div>
				<!--<div class="row mx-auto w-100 my-3">
					<div class="col-6">
						<label class="control-label">'.$l['donot_return_advance_payment'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['donot_return_advance_payment_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
					</div>
					<div class="col-6">
						'.get_checkbox('donot_return_advance_payment', '', '', array('chk_it' => 1, 'val' => $info['donot_return_advance_payment'])).'
					</div>
				</div>-->
			</div>
		</div>
		<div class="divroundshad">
			<div class="roundheader">'.$l['com_set'].'</div>
			<div class="bgaddv mb-3">
			<div class="row mx-auto w-100 my-3">
				<div class="col-sm-12">
					<label class="control-label">'.$l['support_email'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['support_email_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label><br>
					<input type="text" class="form-control" name="support_email" size="30" value="'.POSTval('support_email', $info['support_email']).'" />
				</div>
			</div>
			
				<div class="row mx-auto w-100 my-3">
					<div class="col-sm-12">
						<label class="control-label">'.$l['billing_comp'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['billing_comp_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label><br>
						<input type="text" class="form-control" name="billing_comp" size="30" value="'.POSTval('billing_comp', $info['billing_comp']).'" />
					</div>
				</div>

				<div class="row mx-auto w-100 my-3">
					<div class="col-sm-12">
						<label class="control-label">'.$l['billing_addr1'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['billing_addr1_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label><br>
						<input type="text" class="form-control" name="billing_addr1" size="30" value="'.POSTval('billing_addr1', $info['billing_addr1']).'" />
					</div>
				</div>

				<div class="row mx-auto w-100 my-3">
					<div class="col-sm-12">
						<label class="control-label">'.$l['billing_addr2'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['billing_addr2_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label><br>
						<input type="text" class="form-control" name="billing_addr2" size="30" value="'.POSTval('billing_addr2', $info['billing_addr2']).'" />
					</div>
				</div>
				<div class="row mx-auto w-100 my-3">
					<div class="col-sm-12">
						<label class="control-label">'.$l['billing_additional'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['billing_additional_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label><br>
					
						<textarea class="form-control" name="billing_additional" size="30" >'.POSTval('billing_additional', $info['billing_additional']).'</textarea>
					</div>
				</div>
			</div>		
		</div>
	</div>
	<div class="col-sm-12 col-md-6 col-lg-6">
		<div class="divroundshad">
			<div class="roundheader">'.$l['reg_set'].'</div>
			<div class="bgaddv mb-3">
				<div class="row mx-auto w-100 my-3">
					<div class="col-6">
						<label class="control-label">'.$l['enable_registration'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['enable_registration_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
					</div>
					<div class="col-6">
						'.get_checkbox('enable_registration', '', '', array('chk_it' => 1, 'val' => $info['enable_registration']), 1, 'select_all').'
					</div>
				</div>

				<div class="row mx-auto w-100 my-3">
					<div class="col-sm-12">		
					<label class="control-label">'.$l['default_uplid'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['default_uplid_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label><br><select class="custom-select" name="default_uplid">';
					
					foreach($user_plans as $k => $v){
						if($v['type'] == 2 && !empty($v['inhouse_billing']))
						echo '<option value="'.$k.'" '.(empty($_POST['default_uplid']) && $info['default_uplid'] == $k ? 'selected="selected"' : (@trim($_POST['default_uplid']) == $k ? 'selected="selected"' : '') ).'>'.$v['plan_name'].'</option>';
						
					}
					
					echo '</select>
					</div>
				</div>

				<div class="row mx-auto w-100 my-3">
					<div class="col-sm-12">
						<label class="control-label">'.$l['user_pass_min_char'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['user_pass_min_char_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label><br><input type="number" min="0" class="form-control" name="user_pass_min_char" size="30" value="'.POSTval('user_pass_min_char', $info['user_pass_min_char']).'" />
					</div>
				</div>

				<div class="row mx-auto w-100 my-3">
					<div class="col-sm-12">
						<label class="control-label">'.$l['captcha_secret'].'&nbsp;<a class="info" tooltip="'.htmlizer($l['captcha_secret_exp']).'"><i class="fas text-primary fa-info-circle"></i></a></label><br>
						<input type="text" class="form-control" name="captcha_secret" size="30" value="'.POSTval('captcha_secret', $info['captcha_secret']).'" />
					</div>
				</div>

				<div class="row mx-auto w-100 my-3">
					<div class="col-sm-12">
						<label class="control-label">'.$l['captcha_sitekey'].'&nbsp;<a class="info" tooltip="'.htmlizer($l['captcha_sitekey_exp']).'" ><i class="fas text-primary fa-info-circle"></i></a></label><br><input type="text" class="form-control" name="captcha_sitekey" size="30" value="'.POSTval('captcha_sitekey', $info['captcha_sitekey']).'" />
					</div>
				</div>
				<div class="row mx-auto w-100 my-3">
					<div class="col-sm-12">
						<label class="control-label">'.$l['terms_conditions'].'&nbsp;<a class="info" tooltip="'.htmlizer($l['terms_conditions_exp']).'" ><i class="fas text-primary fa-info-circle"></i></a></label><br><input type="text" class="form-control" name="terms_conditions" size="30" value="'.POSTval('terms_conditions', $info['terms_conditions']).'" />
					</div>
				</div>
			</div>
		</div>
		<div class="divroundshad">
			<div class="roundheader">'.$l['sms_setting'].'</div>
			<div class="bgaddv mb-3">
				<div class="row mx-auto w-100 my-3">
					<div class="col-sm-6">
						<label class="control-label">'.$l['sms_api'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['sms_api_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
					</div>
					<div class="col-sm-6">
						<input type="text" class="form-control" name="sms_api" value="'.POSTval('sms_api', $info['sms_api']).'">
					</div>
				</div>

				<div class="row mx-auto w-100 my-3">
					<div class="col-6">
						<label class="control-label">'.$l['sms_registration'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['sms_registration_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
					</div>
					<div class="col-6">
						'.get_checkbox('sms_registration', '', '', array('chk_it' => 1, 'val' => $info['sms_registration'])).'
					</div>
				</div>

				<div class="row mx-auto w-100 my-3">
					<div class="col-sm-6">
						<label class="control-label">'.$l['default_country_code'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['default_country_code_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
					</div>
					<div class="col-sm-6">
						<select class="custom-select virt-select" name="default_country_code" id="default_country_code">';
						if(!empty($info['default_country_code'])){
							$info['default_country_code'] = array_search($info['default_country_code'], $country_codes);
						}
						foreach($country_codes as $k => $v){
							echo '<option value="'.$k.'" '.ex_POSTselect('default_country_code', $k, $info['default_country_code']).'>'.$k.'</option>';			
						}
					
					echo '</select>
					</div>
				</div>
			</div>
		</div>
		<div class="divroundshad">
			<div class="roundheader">'.$l['payment_gateways'].'</div>
			<div class="bgaddv mb-3">
				<div class="row mx-auto w-100 my-3">
					<div class="col-sm-3">
						<label class="control-label">'.$l['payment_gateways'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['payment_gateways_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label><br>
					</div>
					<div class="col-sm-6 p-0">';
						foreach ($gateways as $key => $value){
							$py_flag = (!empty($value['status']) || !empty($globals[$key.'_enable']) ? 'checked="checked"' : '');
							echo '<div class="col-md-12 checkbox">
								'.get_checkbox('gateways[]', $value['name'], '', array('chk_it' => 0), $key, '', array($py_flag));
							echo '</div>';
						}
					echo '</div>
					</div>
				</div>
			</div>
		</div>
	</div>
';
echo '<div class="row mx-auto w-100 my-3">';
$i=0;
foreach($gateways as $key => $value){
	$i++;
	if(!empty($value['status']) || !empty($globals[$key.'_enable'])){
		echo '
			<div class="col-sm-12 col-md-6 col-lg-6 '.($i%2 == 0 ? '' : 'border-right').'" ><div class="roundheader">'.$value['name'].'</div><div class="bgaddv mb-3">';
		foreach($value['fields'] as $k => $v){
			
			// Just to handle OLD code
			if($k == 'paypal_sandbox' && !empty($globals['paypal_env']) && $globals['paypal_env'] == 'sandbox'){
				$info[$k] = 1;
			}
			
			echo '<div class="row mx-auto w-100 my-3">
				<div class="col-'.($v['type'] == 'checkbox' ? '' : 'sm-').'6">
					<label class="control-label">'.(array_key_exists($l[$k], $l) ? $l[$k] : $v['friendly_name']).'</label><br />
					<span class="help-block">'.(array_key_exists($l[$k.'_exp'], $l) ? $l[$k.'_exp'] : $v['description']).'</span>
				</div>
				<div class="col-'.($v['type'] == 'checkbox' ? '' : 'sm-').'6">
				'.($v['type'] == 'checkbox' ? '<label class="custom-control custom-checkbox">' : '').'
					<input type="'.$v['type'].'" '.($v['type'] == 'checkbox' ? 'class="custom-control-input"' : 'class="form-control"').' name="'.$k.'" id="id_'.$k.'" size="30" '.($v['type'] == 'checkbox' ? (!empty($info[$k]) || optREQ($k) ? 'checked="checked"' : '').' value="1"' : 'value="'.POSTval($k, $info[$k]).'"').' />
					'.($v['type'] == 'checkbox' ? '<span class="custom-control-label" for="id_'.$k.'"></span></label
					>' : '').'
				</div>
			</div>';
		}
		echo '</div></div>';
	}
}	

echo '
</div>
<center>
<input type="submit" name="editsettings" value="'.$l['saveconfig'].'" class="go_btn"/>
</center>
</div>
</form>';

echo '</div>';

softfooter();

}
