<?php

//////////////////////////////////////////////////////////////
//===========================================================
// ips_theme.php
//===========================================================
// SOFTACULOUS VIRTUALIZOR
// Version : 1.0
// Inspired by the DESIRE to be the BEST OF ALL
// ----------------------------------------------------------
// Started by: Alons
// Date:       8th Mar 2010
// Time:       23:00 hrs
// Site:       https://www.virtualizor.com/ (SOFTACULOUS VIRTUALIZOR)
// ----------------------------------------------------------
// Please Read the Terms of use at https://www.virtualizor.com
// ----------------------------------------------------------
//===========================================================
// (c)Softaculous Ltd.
//===========================================================
//////////////////////////////////////////////////////////////

if(!defined('VIRTUALIZOR')){

	die('Hacking Attempt');

}

function ipranges_theme(){	

global $theme, $globals, $servers, $user, $l, $alerts, $ips, $error, $done;

softheader($l['<title>']);
	
echo '
<div class="bg" >
<div class="row mx-auto my-3">
<div class="col-10">
<h4 class="text-dark"><i class="icon icon-ippool"></i> '.$l['ip_list'].'</h4>
</div>
<div class="col-2 text-right d-flex align-items-center justify-content-end">
<span class="search_btn icon-fix d-flex align-items-center justify-content-center"><a href="javascript:showsearch();" class="text-light"><i class="fas fa-search"></i></a></span>
</div>
</div>';
	
error_handle($error);

echo '<script language="javascript" type="text/javascript"><!-- // --><![CDATA[

function show_confirm(ipid, ele){
	
	ipid = ipid || 0;
	ele = ele || 1;
	// List of ids to delete
	var ip_list = new Array();
	
	var selopts = $("#ipranges_task_select_"+ele+" option");
	
	selectvals = new Array();
	
	for(i=0; i<selopts.length; i++){
		val = selopts.eq(i).val();
		if(val != 0){
			selectvals.push(val);
		}
	}
	
	confirmmsg = ["'.$l["del_conf"].'","'.$l["lockip_conf"].'","'.$l["unlockip_conf"].'"];
	donemsg = ["'.$l["done"].'","'.$l["done_lockip"].'","'.$l["done_unlockip"].'"];
	selectIndx = selectvals.indexOf($_("ipranges_task_select_"+ele).value);
	if(ipid < 1){
		
		if(selectIndx == -1){
			showalert("'.$l['no_action'].'" ,"1");
			return false;
		}
		
		$(".ios:checked").each(function() {
			ip_list.push($(this).val());
		});
	
	}else{

		ip_list.push(ipid);
		selectIndx = 0;
		
	}
	
	var finalData = new Object();
	
	finalData["do"] = selectvals[selectIndx];
	finalData["ips"] = ip_list.join(",");
	
	if(selectvals[selectIndx] == "del"){
		finalData["delete"] = finalData["ips"];
	}
	
	if(ip_list.length < 1){
		showalert("'.$l['nothing_selected'].'","1");
		return false;
	}
	showalert(confirmmsg[selectIndx] ,"3" ,function(confirm){
		if(confirm == false){
			return false;
		}else{
			$("#progress_bar").show();
	
			$.ajax({
				type: "POST",
				url: "'.$globals['index'].'act=ipranges&api=json",
				data : finalData,
				dataType : "json",
				success: function(data){
					$("#progress_bar").hide();
					if("done" in data){
						setTimeout(function(){showalert(donemsg[selectIndx]);
						$("#alert-modal").on("hidden.bs.modal", function (e) {
						location.reload(true);
						});} ,200);
					}
					if("error" in data){
						setTimeout(function(){showalert(data["error"],"1");} ,200);
					}
					
				},
				error: function(data) {
					$("#progress_bar").hide();
					if(check_logout_session(data)){
						setTimeout(function(){showalert("'.$l['error_session_logout'].'" ,"1");} ,200);
						return false;
					}

					setTimeout(function(){showalert("'.$l['error_occurred'].'","1");} ,200);
					return false;
				}
			});
		}
	});
	return false;

};
// ]]></script>
<div id="showsearch" class="mt-3" style="display:'.(optREQ('search') || (!empty($ips) && !empty($globals['showsearch'])) ? "" : "none").';">
<form accept-charset="'.$globals['charset'].'" name="ipranges" method="GET" action="" class="form-horizontal">
<input type="hidden" name="act" value="ipranges">
		
<div class="form-group_head">
  <div class="row mx-auto w-100">
	<div class="col-sm-4"><label>'.$l['sbyip'].'</label>
	<input type="text" class="form-control" name="ipsearch" id="ipsearch" size="30" value="'.REQval('ipsearch', '').'"/></div>
	<div class="col-sm-4"><label>'.$l['sbyippool'].'</label>
	<input type="text" class="form-control" name="ippoolsearch" id="ippoolsearch" size="30" value="'.REQval('ippoolsearch','').'"/></div>
	<div class="col-sm-4"><label>'.$l['sbyippoolid'].'</label>
	<input type="text" class="form-control" name="ippid" id="ippid" size="30" value="'.REQval('ippid','').'"/></div>
	<div class="col-sm-4"><label>'.$l['locked_label'].'</label>
		<select name="lockedsearch" id="lockedsearch" class="custom-select">
			<option value="-1" '.REQselect('lockedsearch', -1).'>'.$l['show_all'].'</option>
			<option value="showlocked" '.REQselect('lockedsearch', 'showlocked').'>'.$l['show_locked'].'</option>
			<option value="hidelocked" '.REQselect('lockedsearch', 'hidelocked').'>'.$l['show_unlocked'].'</option>
		</select>
	</div>
  </div>
  <div class="row text-center mx-auto w-100 my-2">
	<div class="col-sm-12 text-center"><button type="submit" name="search" class="go_btn mt-2" value="Search"/>'.$l['submit'].'</button></div>
  </div>
</div>
</form>
</div>';

if(!empty($done)){
	show_alert($l['done']);
}

if(empty($ips)){
	optREQ('search') ? show_alert($l['no_res'], "2") : show_alert($l['no_ips'], "2");
	echo '<div class="notice"><b>NOTE : </b>&nbsp; '.(optREQ('search') ? $l['no_res'] : $l['no_ips']).'</div>';
	
}else{
	echo'<div class="row mx-auto w-100 mt-3">
	<div class="col-sm-8 col-lg-8 col-md-6 mb-3 p-0">';
		page_links($globals['num_res'], $globals['cur_page'], $globals['reslen']);
	echo'
	</div>
	<div class="col-sm-4 col-lg-4 col-md-6 text-right mb-3">
		<div class="bottom-menu float-right w-100">
            <div class="row my-auto">
                <div class="p-0">
                    <label>'.$l['with_selected'].'</label>
                </div>
                <div class="col p-0">
					<select name="ipranges_task_select" id="ipranges_task_select_1" class="custom-select">
						<option value="0">---</option>
						<option value="del">'.$l['ms_delete'].'</option>
						<option value="lockip">'.$l['ms_lockip'].'</option>
						<option value="unlockip">'.$l['ms_unlockip'].'</option>
					</select>
                </div>
                <div class="pl-2">
					<input type="submit" id ="ipranges_submit" class="go_btn" name="ipranges_submit" value="'.$l['go'].'" onclick="show_confirm(0 ,1); return false;">
                </div>
            </div>
		</div>
	</div>
</div>
<form accept-charset="'.$globals['charset'].'" name="multi_ipranges" id="multi_ipranges" method="post" action="" class="form-horizontal">
<div class="w-100 mx-auto sticky">
'.get_num_records($globals['num_res']).'
<table class="table table-hover tablesorter">
<tr>
	<th class="min_width" align="center">ID</td>
	<th align="center" class="min_width"></th>
	<th width="350">'.$l['sbyip'].'</td>
	<th>'.$l['ip_pool'].'</th>
	<th width="150">'.$l['ip_mac'].'</th>
	<th >'.$l['assigned_to'].'</th>
	<th colspan="2" class="min_width">'.$l['manage'].'</th>
	<th class="z-index-1 min_width" align="center">
		'.get_checkbox('select_all', '', 'select_all', array('chk_it' => 0), '', 'select_all').'
	</th>
</tr>';

$i = 1;

foreach($ips as $k => $v){	

	echo '<tr>
		<td align="center">'.$v['ipid'].'</td>
		<td>'.(!empty($v['locked']) ? '<span><i class="fas fa-lock" ></i></span> ' : '').'</td>
		<td class="ips">'.$v['ip'].'/'.$v['ipr_netmask'].'</td>
		<td>'.(empty($v['ippool_name']) ? '<i>'.$l['none'].'</i>' : $v['ippool_name']).'</td>
		<td class="ips_small">'.(empty($v['mac_addr']) ? '' : $v['mac_addr']).'</td>
		<td>'.(empty($v['vpsid']) ? '<em>'.$l['none'].'</em>' : $v['hostname'].' (<em>'.$v['vpsid'].'</em>)').'</td>
		<td width="24" align="center">
			<a href="'.$globals['ind'].'act=editiprange&ipid='.$k.'" title="'.$l['edit_ip'].'"><i class="fas fa-edit text-warning"></i></a>
		</td>
		<td width="24" align="center">
			<a href="javascript:void(0);" onclick="return show_confirm('.$k.');"  title="'.$l['del_ip'].'"><i class="fas fa-trash text-danger"></i></a>
		</td>
		<td align="center">
			'.get_checkbox('ipranges_list[]', '', '', array('chk_it' => 0), $k).'
		</td>
	</tr>';
	$i++;

}
echo '</table>
</div>
<div class="row mx-auto w-100 mt-5">
	<div class="col-sm-8 col-lg-8 col-md-6 mb-3 p-0">';
		page_links($globals['num_res'], $globals['cur_page'], $globals['reslen']);
	echo'
	</div>
	<div class="col-sm-4 col-lg-4 col-md-6 text-right mb-3">
		<div class="bottom-menu float-right w-100">
            <div class="row my-auto">
                <div class="p-0">
                    <label>'.$l['with_selected'].'</label>
                </div>
                <div class="col p-0">
					<select name="ipranges_task_select" id="ipranges_task_select_2" class="custom-select">
						<option value="0">---</option>
						<option value="del">'.$l['ms_delete'].'</option>
						<option value="lockip">'.$l['ms_lockip'].'</option>
						<option value="unlockip">'.$l['ms_unlockip'].'</option>
					</select>
                </div>
                <div class="pl-2">
					<input type="submit" id ="ipranges_submit" class="go_btn" name="ipranges_submit" value="'.$l['go'].'" onclick="show_confirm(0 ,2); return false;">
                </div>
            </div>
		</div>
	</div>
</div>
<center>
<div id="progress_bar" style="display:none;">
<br />
<center>
	<font id="progress_txt" size="4">'.$l['action_msg'].'</font>
</center>
<div class="my-2" align="center">
	<div class="progress w-50">
		<div class="progress-bar bg-primary progress-bar-striped progress-bar-animated w-100">
		</div>
	</div>
</div>
<center>
	'.$l['notify_msg'].'
</center>
</div>
	<a href="index.php?act=addiprange" class="link_btn">'.$l['add_ips'].'</a>
	</center><br>
</form>';
	
}
echo '
</div>
</div>
';
		
softfooter();

}

?>