<?php

//////////////////////////////////////////////////////////////
//===========================================================
// billing_lang.php
//===========================================================
// SOFTACULOUS VIRTUALIZOR
// Version : 1.0
// Inspired by the DESIRE to be the BEST OF ALL
// ----------------------------------------------------------
// Started by: Alons
// Date:       8th Mar 2010
// Time:       23:00 hrs
// Site:       https://www.virtualizor.com/ (SOFTACULOUS VIRTUALIZOR)
// ----------------------------------------------------------
// Please Read the Terms of use at https://www.virtualizor.com
// ----------------------------------------------------------
//===========================================================
// (c)Softaculous Ltd.
//===========================================================
//////////////////////////////////////////////////////////////

if(!defined('VIRTUALIZOR')){

	die('Hacking Attempt');

}

$l['no_cp_url'] = 'No Control Panel URL was specified';
$l['no_billing_currency'] = 'No billing currency was given';
$l['no_billing_symbol'] = 'No currency symbol was submitted';
$l['no_billing_min'] = 'No Minimum Amount was specified';
$l['no_billing_max'] = 'No Maximum Amount was specified';
$l['no_support_email'] = 'No support email was specified';
$l['no_billing_comp'] = 'The billing company is required to create invoices';
$l['no_billing_addr1'] = 'Please enter the billing address of your company';
$l['inv_billing_warn_bal'] = 'The limit for the balance warning is invalid';
$l['inv_billing_min'] = 'The Minimum / Maximum amount values is invalid';
$l['inv_default_uplid'] = 'The default User Plan is invalid';
$l['inv_paypal'] = 'Please enter the full PayPal details';
$l['paypal_compulsory'] = 'PayPal settings are compulsory for now till the time we implement new payment methods';

//THEME Settings
$l['<title>'] = 'Billing Settings';
$l['heading'] = 'Billing Settings';
$l['note'] = 'Note';
$l['bill_note'] = 'This Billing Panel is in <b>Beta</b>. The Billing Panel is free during the Beta stage and will be <b>chargeable</b> when it becomes stable. Please read the full guide on how to setup <b><u><a href="'.$globals['docs'].'Virtualizor_Cloud_Billing_System" target="_blank">Virtualizor Inbuilt Billing</u></a></b>';
$l['done'] = 'The settings have been saved';
$l['bill_set'] = 'Billing Settings';
$l['inhouse_billing'] = 'Enable Billing';
$l['inhouse_billing_exp'] = 'Will enable Virtualizor\'s inbuilt billing system. Users can self register and pay for VMs with this feature';
$l['reg_set'] = 'Registration Settings';
$l['enable_registration'] = 'Enable User Registration';
$l['enable_registration_exp'] = 'Allows users allowed to register to create their Cloud Account';
$l['cp_url'] = 'Control Panel URL';
$l['cp_url_exp'] = 'The URL of this Control Panel which will be used in all user communication';
$l['user_pass_min_char'] = 'Password Min Length';
$l['user_pass_min_char_exp'] = 'The minimum password length a user password should be';
$l['support_email'] = 'Support Email';
$l['support_email_exp'] = 'The Support Email to show users in all communications';
$l['invoice_image'] = 'Invoice Logo';
$l['invoice_image_exp'] = 'Enter logo URL which you want to show on invoices';
$l['inv_billing_img'] = 'Entered image is not valid. Image should be less than 300KB and allowed extension are (png, jpg, svg)';
$l['bcc_invoice_email'] = 'Admin Invoice email';
$l['bcc_invoice_email_exp'] = 'Enter the email(s) to receive user invoices, separating multiple emails with a comma.';
$l['default_uplid'] = 'Default User Plan';
$l['default_uplid_exp'] = 'When a new user registers, the default plan which will be assigned to the user';
$l['billing_warn_bal'] = 'Balance Warning Percentage';
$l['billing_warn_bal_exp'] = 'If not empty, when the current usage exceeds the user\'s balance percentage, a notification will be sent to the user';
$l['billing_currency'] = 'Billing Currency';
$l['billing_currency_exp'] = 'The currency to show the users';
$l['billing_symbol'] = 'Currency Symbol';
$l['billing_symbol_exp'] = 'The currency symbol to show the users';
$l['billing_min'] = 'Minimum Amount';
$l['billing_min_exp'] = 'The minimum amount a user can pay towards balance';
$l['billing_max'] = 'Maximum Amount';
$l['billing_max_exp'] = 'The maximum amount a user can pay towards balance';
$l['billing_min_charge'] = 'Minimum Invoice Amount';
$l['billing_min_charge_exp'] = 'Minimum amount to be deducted while '.VM_SHORT.' is created. It can be a fixed amount or you can provide in percentage of plan price (using %).';
$l['donot_return_advance_payment'] = 'Do Not Return Advance Payment';
$l['donot_return_advance_payment_exp'] = 'If the usage charges are less than the \''.$l['billing_min_charge'].'\' then we will not add the remaining difference in users current balance.';
$l['billing_day'] = 'Billing Day';
$l['billing_day_exp'] = 'The day of month when a invoice will be generated. By default its the last day of the month';
$l['bill_last_day'] = 'Last Day of Month';
$l['com_set'] = 'Company Details';
$l['billing_comp'] = 'Company Name';
$l['billing_comp_exp'] = 'The name of the company who will be invoicing the users';
$l['billing_addr1'] = 'Billing Address 1';
$l['billing_addr1_exp'] = 'Billing Address Line 1';
$l['billing_addr2'] = 'Billing Address 2';
$l['billing_addr2_exp'] = 'Billing Address Line 2';
$l['billing_additional'] = 'Addtional Billing Details';
$l['billing_additional_exp'] = 'Addtional Billing Details, like tax details and other information';
$l['saveconfig'] = 'Save Settings';

// reCaptcha Keys
$l['captcha_secret'] = 'Enter Secret Key';
$l['captcha_secret_exp'] = 'This will enable recaptcha on cloud user registration, if blank captcha will be disabled, you will get keys from here: <a href="https://www.google.com/recaptcha/" target="_blank">https://www.google.com/recaptcha</a>';
$l['captcha_sitekey'] = 'Enter Site Key';
$l['captcha_sitekey_exp'] = 'This will be your sitekey, For more details: <a href="https://www.google.com/recaptcha/" target="_blank">https://www.google.com/recaptcha</a>';
$l['captcha_keys_required'] = 'Both keys (Secret and Site) are required for enabling reCaptcha for registration';

$l['terms_conditions'] = 'Terms & Conditions Link';
$l['terms_conditions_exp'] = 'Provide your terms and conditions page link which will be shown to user on registration page';

$l['payment_gateways'] = 'Payment Gateway Settings';
$l['payment_gateways'] = 'Payment Gateways';
$l['payment_gateways_exp'] = 'Select your preferred payment gateways from the list';

// SMS setting section
$l['err_no_sms_api'] = 'Please enter SMS gateway API';
$l['sms_setting'] = 'SMS Settings';
$l['sms_api'] = 'Enter SMS Gateway API URL';
$l['sms_api_exp'] = 'This URL will be used to send OTP while registration.<br>Please use <b>[[mobile_no]]</b> varaible for mobile number and <b>[[message]]</b> for sending OTP as message.';
$l['sms_registration'] = 'Enable SMS OTP for registration';
$l['sms_registration_exp'] = 'If enabled then user will be asked for mobile number for SMS OTP verification while registration process.';
$l['default_country_code'] = 'Default country code for SMS';
$l['default_country_code_exp'] = 'Select which country code you want to append by default for SMS OTP registration.';

// Tax setting
// GST setting
$l['gst'] = 'GST';
$l['vat'] = 'VAT';
$l['tax_settings'] = 'TAX Setting';
$l['enable_gst'] = 'Enable GST';
$l['enable_gst_exp'] = 'If enabled, Invoice will be generated with GST';
$l['gstn'] = 'GST Number';
$l['gstn_exp'] = 'GST Number which will be shown on invoice';
$l['gst_percent'] = 'GST Percentage';
$l['gst_percent_exp'] = 'Percentage of GST which will be applied to the pricing which you have defined for '.VM_SHORT.' plans';
$l['err_gst_fields'] = 'All GST fields are required if for enabling GST setting';

// VAT setting
$l['enable_vat'] = 'Enable VAT';
$l['enable_vat_exp'] = 'If enabled, Invoice will be generated with VAT';
$l['vatn'] = 'VAT Number';
$l['vatn_exp'] = 'VAT Number which will be shown on invoice';
$l['vat_percent'] = 'VAT Percentage';
$l['vat_percent_exp'] = 'Percentage of VAT which will be applied to the pricing which you have defined for '.VM_SHORT.' plans';
$l['err_vat_fields'] = 'All GST fields are required if for enabling GST setting';

$l['bill_en_term_vps'] = 'Enable '.VM_SHORT.' termination';
$l['bill_en_term_vps_exp'] = 'Enabled '.VM_SHORT.' termination after due date'; 
$l['bill_term_vps_dnum'] = 'Number of days before '.VM_SHORT.' termination';
$l['bill_term_vps_dnum_exp'] = VM_SHORT.' should be terminated after the number of days from due date'; 
$l['bill_term_vps_warn_dnum'] = 'Day to send warning mail before '.VM_SHORT.' termination';
$l['bill_term_vps_warn_dnum_exp'] = 'Warning mail will be send from day specifed of termination period till termination day'; 